<?php

namespace Teknisa\TCO\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Notification;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DataSource;

class Tco01005RegioesPratoElaboracao extends \Teknisa\GER\Controllers\TeknisaCrud {
    
    protected $crudService;
    protected $environment;
    protected $entityManager;

    public function __construct($crudService, $parameterBag, $environment, $entityManager) {
        $this->crudService   = $crudService;
        $this->environment   = $environment;
        $this->entityManager = $entityManager;
    }
    
    public function salvaRegiaoPratoSelecionada(DTO\Request $request, DTO\Response $response) {
        $rows = $this->crudService->getRowsToSave($request, "regiaopratcardbase");
        $this->crudService->save("regiaopratcardbase", $rows);
    }
    
    public function removeRegiaoPratCardBase(DTO\Request $request, DTO\Response $response) {
        $rows = $this->crudService->getRowsToDelete($request, "regiaopratcardbase");
        $dataSet = new DataSet("regiaopratcardbase", $rows);
		$this->crudService->delete($response, $dataSet);
    }

}
